using System;

namespace ConsoleApp7
{
    class Program
    {
        static void Main(string[] args)
        {
            int[] bodovi = new int[6];
            string[] red = Console.ReadLine().Split(' ');
            int zbir = int.Parse(red[0]);
            int potrebnoBodova = int.Parse(red[1]);
            if ((zbir - 3) / potrebnoBodova < 3)
                Console.WriteLine("-1");
            else
            {
                bodovi[0] = potrebnoBodova;
                bodovi[2] = potrebnoBodova;
                bodovi[4] = potrebnoBodova;
                bodovi[1] = 0;
                bodovi[3] = 0;
                bodovi[5] = 0;
                int preostaloBodova = zbir - 3 * potrebnoBodova;
                int iskoristenoBodova = 3 * potrebnoBodova;
                if (preostaloBodova + 6 >= iskoristenoBodova)
                {
                    bodovi[1] += potrebnoBodova - 1;
                    bodovi[3] += potrebnoBodova - 1;
                    bodovi[5] += potrebnoBodova - 1;
                    iskoristenoBodova += ((3 * potrebnoBodova) - 3);
                    preostaloBodova -= ((3 * potrebnoBodova) - 3);
                    if(preostaloBodova % 2 == 0)
                    {
                        bodovi[1] -= 2;
                        bodovi[2] += 1;
                        bodovi[4] += 1;
                        if(preostaloBodova % 4 != 0)
                        {
                            bodovi[2] += 1;
                            bodovi[3] += 1;
                            preostaloBodova -= 2;
                        }
                        bodovi[2] += preostaloBodova / 4;
                        bodovi[3] += preostaloBodova / 4;
                        bodovi[4] += preostaloBodova / 4;
                        bodovi[5] += preostaloBodova / 4;
                    }
                    else
                    {
                        preostaloBodova += 1;
                        bodovi[1] -= 1;
                        bodovi[2] += 1;
                        bodovi[4] += 1;
                        preostaloBodova -= 2;
                        if(preostaloBodova % 4 != 0)
                        {
                            bodovi[2] += 1;
                            bodovi[3] += 1;
                            preostaloBodova -= 2;
                        }
                        bodovi[2] += preostaloBodova / 4;
                        bodovi[3] += preostaloBodova / 4;
                        bodovi[4] += preostaloBodova / 4;
                        bodovi[5] += preostaloBodova / 4;
                    }
                }
                else 
                {
                    bodovi[1] = preostaloBodova / 3 + preostaloBodova % 3;
                    bodovi[3] = preostaloBodova / 3;
                    bodovi[5] = preostaloBodova / 3;
                }
                Console.WriteLine(bodovi[0] + " " + bodovi[1]);
                Console.WriteLine(bodovi[2] + " " + bodovi[3]);
                Console.WriteLine(bodovi[4] + " " + bodovi[5]);
            }
        }
    }
}